#ifndef TC7&_H
#define TC77_H
//------------------------------------------------------------------------------
#include "SPI.h"
//------------------------------------------------------------------------------
void TC72_Init(void);
float TC72_ReadTempr(void);
float toFloat(signed int tempr);
//------------------------------------------------------------------------------
#define SHUTDOWN_MODE      0xFF
#define CONTINUOUS_CONV    0x00
#define FRAC_FLAG          0x0078
//------------------------------------------------------------------------------
void TC72_Init()
{
  SPI_init();
  __delay_ms(300);
}
//------------------------------------------------------------------------------
float TC72_ReadTempr()
{   
  int temprMSB,temprLSB;  
  
  CS = 0;
  
  temprMSB = SPI_read();     
  temprLSB = SPI_read();
  
  CS = 1;
  
  return toFloat((temprMSB<<8) + temprLSB);
}
//------------------------------------------------------------------------------
float toFloat(signed int tempr)
{
  float result = (tempr>>8);      //Discard LSByte (Only holds fraction flag bits)
  char count = tempr & FRAC_FLAG;          
  
  if(count) 
  {
    count = count >> 3; 
    result = result + (count * 0.0625);  
  }
  
  return result;
}
//------------------------------------------------------------------------------
#endif 